[@bigcommerce/checkout-sdk](../README.md) / PaymentMethod

# Interface: PaymentMethod\<T\>

## Type parameters

| Name | Type |
| :------ | :------ |
| `T` | `any` |

## Table of contents

### Properties

- [clientToken](PaymentMethod.md#clienttoken)
- [config](PaymentMethod.md#config)
- [gateway](PaymentMethod.md#gateway)
- [id](PaymentMethod.md#id)
- [initializationData](PaymentMethod.md#initializationdata)
- [initializationStrategy](PaymentMethod.md#initializationstrategy)
- [logoUrl](PaymentMethod.md#logourl)
- [method](PaymentMethod.md#method)
- [nonce](PaymentMethod.md#nonce)
- [returnUrl](PaymentMethod.md#returnurl)
- [skipRedirectConfirmationAlert](PaymentMethod.md#skipredirectconfirmationalert)
- [supportedCards](PaymentMethod.md#supportedcards)
- [type](PaymentMethod.md#type)

## Properties

### clientToken

• `Optional` **clientToken**: `string`

___

### config

• **config**: [`PaymentMethodConfig`](PaymentMethodConfig.md)

___

### gateway

• `Optional` **gateway**: `string`

___

### id

• **id**: `string`

___

### initializationData

• `Optional` **initializationData**: `T`

___

### initializationStrategy

• `Optional` **initializationStrategy**: [`InitializationStrategy`](InitializationStrategy.md)

___

### logoUrl

• `Optional` **logoUrl**: `string`

___

### method

• **method**: `string`

___

### nonce

• `Optional` **nonce**: `string`

___

### returnUrl

• `Optional` **returnUrl**: `string`

___

### skipRedirectConfirmationAlert

• **skipRedirectConfirmationAlert**: `boolean`

___

### supportedCards

• **supportedCards**: `string`[]

___

### type

• **type**: `string`
